{ S_I_TPL.FRM }

{ *************************************************************************** }
{ *                                                                         * }
{ *                TURBO SCREEN INPUT PRE-PROCESSOR TOOLKIT                 * }
{ *                                                                         * }
{ *                  SCROLLING INPUT SCREEN TEMPLATE FORM                   * }
{ *                                                                         * }
{ *                             Version  1.07                               * }
{ *                                                                         * }
{ *                                                                         * }
{ *   The screen templates are the key to versatility of this the pre-      * }
{ *   processor.  It is by altering these templates you then alter how the  * }
{ *   screen pages will appear to the user.  For example, you may have      * }
{ *   four different application programs you have written and each         * }
{ *   program requires a unique set of inputs from the user.  All you do    * }
{ *   is alter the screen templates for each of the four programs with the  * }
{ *   proper screen template generators, while using the same input pre-    * }
{ *   processor subprograms to control the interaction between the user     * }
{ *   and the four application programs.                                    * }
{ *                                                                         * }
{ *   A screen template is simply a file containing information about the   * }
{ *   prompts (or descriptors) to be displayed when a particular screen     * }
{ *   page is shown.  The screen template is a series of records where      * }
{ *   each record describes one particular prompt for a particular screen   * }
{ *   page.                                                                 * }
{ *                                                                         * }
{ *   This template form is provided so that you can easily fill out the    * }
{ *   scrolling input screen template for your particular application of    * }
{ *   the input pre-processor with the proper data in the proper format     * }
{ *   for the Scrolling Input Subprogram to use.                            * }
{ *                                                                         * }
{ *   You can use your printer to get a hard copy of this template form.    * }
{ *   This will allow you to fill out the form by hand.  I recommend that   * }
{ *   you set your printer to print in compressed mode before printing      * }
{ *   out this file since the template form is 125 characters wide.  Then   * }
{ *   use the scrolling input screen template generator to enter this data  * }
{ *   into a template file.                                                 * }
{ *                                                                         * }
{ *   Filling out the form is quite easy.  Start by listing all the input   * }
{ *   column headings you wish to display on each scrolling input page.     * }
{ *   Note that the scrolling input subprogram is setup to only display     * }
{ *   a three row decription for each column heading.  Next define the      * }
{ *   type of character entry you want to allow into that column.           * }
{ *                                                                         * }
{ *   The Scrolling Input Subprogram checks to see that the accumulated     * }
{ *   input data entry is less than the maximum allowed length.  The        * }
{ *   subprogram then checks to see if the characters the user has entered  * }
{ *   are of the type allowed.  A list of different input data types the    * }
{ *   Scrolling Input Subprogram can check for follows:                     * }
{ *                                                                         * }
{ *         Input                                                           * }
{ *         Data                                                            * }
{ *         Type                                                            * }
{ *         Value       Description of Input Data Type                      * }
{ *         -----       -------------------------------------------         * }
{ *           1         Positive Integer ( including zero )                 * }
{ *           2         Negative Integer ( including zero )                 * }
{ *           3         Integer                                             * }
{ *           4         Positive Real ( including zero )                    * }
{ *           5         Negative Real ( including zero )                    * }
{ *           6         Real                                                * }
{ *           7         Data File Name Characters                           * }
{ *           8         Disk Drive and Subdirectory Path Characters         * }
{ *           9         General Characters                                  * }
{ *                                                                         * }
{ *************************************************************************** }



|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Page     |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |
|Number   |Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|
|   1     |   1   |   2   |   3   |   4   |   5   |   6   |   7   |   8   |   9   |   10  |   11  |   12  |   13  |   14  |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 1 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 2 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 3 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Data     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Type     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|



|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Page     |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |
|Number   |Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|
|   2     |   1   |   2   |   3   |   4   |   5   |   6   |   7   |   8   |   9   |   10  |   11  |   12  |   13  |   14  |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 1 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 2 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 3 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Data     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Type     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|



|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Page     |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |
|Number   |Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|
|   3     |   1   |   2   |   3   |   4   |   5   |   6   |   7   |   8   |   9   |   10  |   11  |   12  |   13  |   14  |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 1 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 2 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 3 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Data     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Type     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|



|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Page     |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |
|Number   |Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|
|   4     |   1   |   2   |   3   |   4   |   5   |   6   |   7   |   8   |   9   |   10  |   11  |   12  |   13  |   14  |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 1 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 2 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 3 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Data     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Type     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|



|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Page     |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |Column |
|Number   |Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|Heading|
|   5     |   1   |   2   |   3   |   4   |   5   |   6   |   7   |   8   |   9   |   10  |   11  |   12  |   13  |   14  |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 1 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 2 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Column   |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Prompt 3 |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|Data     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|Type     |       |       |       |       |       |       |       |       |       |       |       |       |       |       |
|---------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|